Support » Allgemeine Fragen » Fehler: [] cURL error 60: SSL certificate problem: certificate has expired.

  • Gelöst arminvdw

    (@arminvdw)


    Hallo,

    folgende Fehlermeldung:

    die REST-API hat einen Fehler gefunden: Die REST-API-Anfrage ist aufgrund eines Fehlers fehlgeschlagen.
    Fehler: [] cURL error 60: SSL certificate problem: certificate has expired.

    und

    Ihre Webseite konnte eine Loopback-Anfrage nicht abschließen: Die Loopback-Anfrage an Ihre Website ist fehlgeschlagen, das bedeutet, dass Funktionen, die sich auf sie verlassen, derzeit nicht wie erwartet funktionieren. Aufgetretener Fehler: (0) cURL error 60: SSL certificate problem: certificate has expired.

    Von meinem Provider bekam ich folgenden Tipp: dieser eintrag in der wp-config.php sollte helfen:

    define('ALTERNATE_WP_CRON', true);

    Leider half das nicht. Dann habe ich die REST-API mit dem Plugin: Disable WP REST API abgeschaltet. Die Fehlermeldung erfolgt unverändert.

    Hat jemand vielleicht ’ne Idee?

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)
  • Ich tippe auf eine Fehlkonfiguration des Webservers bzw. die Verwendung eines nicht mehr gültigen SSL-Zertifikats auf dem Webserver.

    Geh bitte auf Werkzeuge > Website-Zustand > Bericht, warte einen Moment bis die Ladeanzeige ganz oben abgeschlossen ist. Klick auf den Button „Bericht in die Zwischenablage kopieren“. Den Bericht kannst du dann hier in einer neuen Antwort mit Strg-V (Mac: Cmd-V) unverändert einfügen.

    Thread-Starter arminvdw

    (@arminvdw)

    
    ### wp-core ###
    
    version: 5.7
    site_language: de_DE_formal
    user_language: de_DE_formal
    permalink: /%postname%/
    https_status: true
    user_registration: 1
    default_comment_status: undefined
    multisite: false
    user_count: 2
    dotorg_communication: true
    
    ### wp-paths-sizes ###
    
    wordpress_path: /home/www/vdw-licorice.com
    wordpress_size: 320,35 MB (335909906 bytes)
    uploads_path: /home/www/vdw-licorice.com/wp-content/uploads
    uploads_size: 125,13 MB (131206589 bytes)
    themes_path: /home/www/vdw-licorice.com/wp-content/themes
    themes_size: 4,65 MB (4881062 bytes)
    plugins_path: /home/www/vdw-licorice.com/wp-content/plugins
    plugins_size: 234,28 MB (245661377 bytes)
    database_size: 20,17 MB (21151744 bytes)
    total_size: 704,58 MB (738810678 bytes)
    
    ### wp-active-theme ###
    
    name: Open Shop (open-shop)
    version: 1.2.3
    author: ThemeHunk
    author_website: https://www.themehunk.com
    parent_theme: none
    theme_features: core-block-patterns, post-thumbnails, automatic-feed-links, title-tag, html5, woocommerce, wp-block-styles, align-wide, editor-styles, editor-style, responsive-embeds, customize-selective-refresh-widgets, custom-logo, custom-header, custom-background, recommend-plugins, useful-plugins, menus, wc-product-gallery-zoom, wc-product-gallery-lightbox, wc-product-gallery-slider, widgets
    theme_path: /home/www/vdw-licorice.com/wp-content/themes/open-shop
    
    ### wp-themes-inactive (1) ###
    
    Twenty Nineteen: version: 2.0, author: WordPress-Team
    
    ### wp-mu-plugins (1) ###
    
    Health Check Troubleshooting Mode: author: (undefined), version: 1.7.2
    
    ### wp-plugins-active (39) ###
    
    AddToAny Share Buttons: version: 1.7.44, author: AddToAny
    Antispam Bee: version: 2.9.4, author: pluginkollektiv
    BackUpWordPress: version: 3.11, author: XIBO Ltd
    Booster for WooCommerce: version: 5.3.9, author: Pluggabl LLC
    Compress JPEG & PNG images: version: 3.2.1, author: TinyPNG
    Cookie Notice & Compliance for GDPR / CCPA: version: 2.0.3, author: Hu-manity.co
    Facebook for WooCommerce: version: 2.3.5, author: Facebook
    Germanized for WooCommerce: version: 3.4.0, author: vendidero (latest version: 3.4.2)
    Google Ads & Marketing by Kliken: version: 1.0.7, author: Kliken
    Health Check & Troubleshooting: version: 1.4.5, author: The WordPress.org community
    Language Fallback: version: 1.0.5, author: Bernhard Kau
    Loco Translate: version: 2.5.2, author: Tim Whitlock
    Matomo Analytics - Ethical Stats. Powerful Insights.: version: 4.2.0, author: Matomo
    PayPal PLUS for WooCommerce: version: 2.2.1, author: Inpsyde GmbH
    Post to Google My Business: version: 2.2.34, author: Koen Reus
    Product Feed Manager for WooCommerce: version: 6.4.5, author: RexTheme
    Product Slider for WooCommerce: version: 2.2.12, author: ShapedPlugin
    Product Subtitle For WooCommerce: version: 4.5.2, author: Varun Sridharan
    Shariff Wrapper: version: 4.6.5, author: Jan-Peter Lambeck & 3UU
    Social Login WordPress Plugin - AccessPress Social Login Lite: version: 3.4.7, author: AccessPress Themes
    Theme My Login: version: 7.1.3, author: Theme My Login
    Widget Subtitles: version: 1.2.1, author: Jory Hogeveen
    WooCommerce: version: 5.1.0, author: Automattic (latest version: 5.2.0)
    WooCommerce Bulk Discount: version: 3.0, author: Rene Puchinger
    WooCommerce Customizer: version: 2.7.4, author: SkyVerge
    WooCommerce Custom Product Addons (Free): version: 2.4.14, author: Acowebs
    WooCommerce Menu Cart: version: 2.9.7, author: Jeremiah Prummer, Ewout Fernhout
    WooCommerce PayPal Payments: version: 1.2.1, author: WooCommerce
    WooCommerce PDF Invoices & Packing Slips: version: 2.8.3, author: Ewout Fernhout
    Woocommerce Products Per Page: version: 1.2.6, author: Jeroen Sormani
    WooCommerce Stripe Gateway: version: 5.1.0, author: WooCommerce
    WP Activity Log: version: 4.2.1, author: WP White Security
    WP Cerber Security, Anti-spam & Malware Scan: version: 8.8.5, author: Cerber Tech Inc.
    WPForms Lite: version: 1.6.6, author: WPForms
    WP Product Feed Manager: version: 1.29.2, author: Michel Jongbloed
    WPS Bidouille: version: 1.22, author: WPServeur, NicolasKulka, Benoti, wpformation
    WPS Cleaner: version: 1.6.4, author: WPServeur, NicolasKulka, wpformation
    WPS Limit Login: version: 1.5.3, author: WPServeur, NicolasKulka, wpformation
    Yoast SEO: version: 16.1.1, author: Team Yoast
    
    ### wp-plugins-inactive (4) ###
    
    Disable WP REST API: version: 2.1, author: Jeff Starr
    Jetpack by WordPress.com: version: 9.6.1, author: Automattic
    Social Login: version: 5.7, author: OneAll Social Login <support@oneall.com>
    WPC Smart Compare for WooCommerce: version: 3.5.3, author: WPClever
    
    ### wp-media ###
    
    image_editor: WP_Image_Editor_Imagick
    imagick_module_version: 1673
    imagemagick_version: ImageMagick 6.8.9-9 Q16 x86_64 2019-12-29 http://www.imagemagick.org
    imagick_limits: 
    	imagick::RESOURCETYPE_AREA: 4 GB
    	imagick::RESOURCETYPE_DISK: 1.844674407371E+19
    	imagick::RESOURCETYPE_FILE: 768
    	imagick::RESOURCETYPE_MAP: 4 GB
    	imagick::RESOURCETYPE_MEMORY: 2 GB
    	imagick::RESOURCETYPE_THREAD: 1
    gd_version: 2.2.5
    ghostscript_version: 9.26
    
    ### wp-server ###
    
    server_architecture: Linux 4.9.0-0.bpo.5-amd64 x86_64
    httpd_software: Apache
    php_version: 7.4.7 64bit
    php_sapi: apache2handler
    max_input_variables: 1000
    time_limit: 70
    memory_limit: 256M
    max_input_time: -1
    upload_max_size: 50M
    php_post_max_size: 64M
    curl_version: 7.38.0 OpenSSL/1.0.1t
    suhosin: false
    imagick_availability: true
    server-headers: unknown
    htaccess_extra_rules: true
    
    ### wp-database ###
    
    extension: mysqli
    server_version: 5.7.20-log
    client_version: mysqlnd 7.4.7
    
    ### wp-constants ###
    
    WP_HOME: undefined
    WP_SITEURL: undefined
    WP_CONTENT_DIR: /home/www/vdw-licorice.com/wp-content
    WP_PLUGIN_DIR: /home/www/vdw-licorice.com/wp-content/plugins
    WP_MAX_MEMORY_LIMIT: 256M
    WP_DEBUG: false
    WP_DEBUG_DISPLAY: true
    WP_DEBUG_LOG: false
    SCRIPT_DEBUG: false
    WP_CACHE: false
    CONCATENATE_SCRIPTS: undefined
    COMPRESS_SCRIPTS: undefined
    COMPRESS_CSS: undefined
    WP_LOCAL_DEV: undefined
    
    ### wp-filesystem ###
    
    wordpress: writable
    wp-content: writable
    uploads: writable
    plugins: writable
    themes: writable
    mu-plugins: writable
    
    ### wpforms ###
    
    version: 1.6.6
    lite: Apr 5, 2021 @ 9:24am
    upload_dir: Beschreibbar
    db_tables: vdw_wpforms_tasks_meta
    total_forms: 1
    total_submissions: 1

    Du verwendest aktuell cURL in Version 7.38.0 mit OpenSSL 1.0.1t.
    Die cURL-Version ist vom September 2014 und aktuell gibt es eine Version 7.76.1 vom 14. April 2021. Auch für OpenSSL gibt es eine neuere Version (1.1.1). Die neuesten Version werden in den meisten Linux-Distributionen nicht automatisch vorhanden sein, aber selbst mein Raspberry Pi läuft zumindest mit cURL 7.64, also einer wesentlich frischeren Version. Ich würde mal beim Webhoster nachfragen, wie es da mit einem Update aussieht.

    Kleine Argumentationshilfe beim Gespräch mit dem Webhoster:
    curl version 7.38.0 was released on September 10 2014. The following 56 security problems are known to exist in this version.

    Du verwendest außerdem einige Sicherheitsplugins, die unter Umständen in die Verwendung von cURL eingreifen. Probier mal, was sich ändert, wenn du die Plugins vorübergehend deaktivierst.

    Thread-Starter arminvdw

    (@arminvdw)

    Mein Provider zieht bald in ein neues Rechenzentrum und erstellt sowieso vieles Neu. Deshalb habe ich mich bei ihm erstmal nicht gemeldet.

    Plugins: nach Deaktivierung der Sicherheitsplugins konnte ich keine Veränderung feststellen. Das probierte ich auch mit anderen Plugins. Ursächlich war matomo. Ich verwende jetzt ein anderes und nun ist alles wieder chic!

    Vielen Dank für die Hilfe!

    Danke für die Rückmeldung.

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)
  • Das Thema „Fehler: [] cURL error 60: SSL certificate problem: certificate has expired.“ ist für neue Antworten geschlossen.